package com.inca.npbusi.credit_adjust;

import com.inca.np.auth.ClientUserManager;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.CToolbar;
import com.inca.np.gui.mde.CMdeModel;
import com.inca.npx.mde.CMdeModelAp;
import com.inca.pubsrv.NpbusiDBHelper;
import com.inca.pubsrv.entryChoose.CMasterModel_EntryChoose;
import com.inca.pubsrv.work_flow.CDetailModel_WorkFlow;
import com.inca.pubsrv.work_flow.WorkFlowCommitAction;
import com.inca.pubsrv.work_flow.WorkFlowViewAction;
import java.awt.BorderLayout;
import javax.swing.JPanel;

public class CreditAdjust_master extends CMasterModel_EntryChoose {
   public CreditAdjust_master(CFrame var1, CMdeModel var2) {
      super(var1, "信誉额度调整总单", var2);
   }

   public String getTablename() {
      return "bms_Credit_adjust_doc_v";
   }

   public String getSaveCommandString() {
      return null;
   }

   protected int on_new(int var1) {
      int var2 = super.on_new(var1);
      this.setItemValue(var1, "inputmanid", ClientUserManager.getCurrentUser().getUserid());
      this.setItemValue(var1, "inputmanname", ClientUserManager.getCurrentUser().getUsername());
      this.setItemValue(var1, "entryid", this.getEntry().getEntryid());
      this.setItemValue(var1, "entryname", this.getEntry().getEntryname());
      this.setItemValue(var1, "inputdate", NpbusiDBHelper.getSysdate());
      String var3;
      if (!(var3 = ((CMdeModelAp)this.mdemodel).getApvalue("默认调整类型")).equals("调正式额度") && !"".equals(var3)) {
         if (var3.equals("调临时额度")) {
            this.setItemValue(var1, "adjusttype", "2");
            this.mdemodel.getDetailModel().getDBColumnDisplayInfo("begindate").setReadonly(false);
            this.mdemodel.getDetailModel().getDBColumnDisplayInfo("enddate").setReadonly(false);
         }
      } else {
         this.setItemValue(var1, "adjusttype", "1");
      }

      return var2;
   }

   protected int on_beforemodify(int var1) {
      String var2 = this.getItemValue(var1, "adjusttype");
      if ("1".equals(var2)) {
         this.getDBColumnDisplayInfo("begindate").setReadonly(true);
         this.getDBColumnDisplayInfo("enddate").setReadonly(true);
      } else {
         this.getDBColumnDisplayInfo("begindate").setReadonly(false);
         this.getDBColumnDisplayInfo("enddate").setReadonly(false);
      }

      return super.on_beforemodify(var1);
   }

   protected String getOtherWheres() {
      if (this.getEntry().isNull()) {
         this.infoMessage("提示", "您当前登录的角色没有指定独立单元，不能操作！");
         return "1=2";
      } else {
         return "entryid=" + this.getEntry().getEntryid();
      }
   }

   protected int on_beforeNew() {
      if (this.getEntry().isNull()) {
         this.infoMessage("提示", "您当前登录的角色没有指定独立单元，不能操作！");
         return -1;
      } else {
         return super.on_beforeNew();
      }
   }

   protected JPanel createSecondtoolbar() {
      JPanel var1 = new JPanel();
      CToolbar var2 = new CToolbar();
      var1.setLayout(new BorderLayout());
      var1.add(var2);
      return NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(NpbusiDBHelper.createTButton(var1, "查询当前数据(Q)", "查询当前级别现在有效的信誉额度和信誉天数", "查询当前数据", 81, this.mdemodel.getDetailModel()), "执行全部(A)", "执行当前独立单元的正式单据，使其生效", "执行全部", 65, this.mdemodel.getDetailModel()), "执行(E)", "执行当前选中细单中的正式单据，使其生效", "执行", 69, this.mdemodel.getDetailModel()), "作废(F)", "把选中的临时单据作废", "作废", 70, this.mdemodel.getDetailModel()), "送审(S)", "对选中的临时单据启动审批流", "送审", 83, new WorkFlowCommitAction((CDetailModel_WorkFlow)this.mdemodel.getDetailModel())), "查看审批流(V)", "查看审批流", "查看审批流", 86, new WorkFlowViewAction((CDetailModel_WorkFlow)this.mdemodel.getDetailModel()));
   }

   protected int on_beforedel(int var1) {
      if (var1 >= 0 && this.getdbStatus(var1) != 1) {
         if (!this.getItemValue(var1, "inputmanid").equals(ClientUserManager.getCurrentUser().getUserid())) {
            this.infoMessage("提示", "不是您录入的单据，不能删除！");
            return -1;
         } else {
            for(int var2 = 0; var2 < this.mdemodel.getDetailModel().getRowCount(); ++var2) {
               String var3;
               if (!(var3 = this.mdemodel.getDetailModel().getItemValue(var2, "usestatus")).equals("0") && !var3.equals("1")) {
                  this.infoMessage("提示", "第" + (var2 + 1) + "行细单状态不能删除！");
                  return -1;
               }
            }

            return super.on_beforedel(var1);
         }
      } else {
         return super.on_beforedel(var1);
      }
   }

   protected void on_itemvaluechange(int var1, String var2, String var3) {
      if (var2.equals("adjusttype")) {
         if ("1".equals(var3)) {
            this.setItemValue(var1, "begindate", "");
            this.setItemValue(var1, "enddate", "");
            this.getDBColumnDisplayInfo("enddate").setReadonly(true);
            this.getDBColumnDisplayInfo("begindate").setReadonly(true);
            this.getDBColumnDisplayInfo("enddate").setReadonly(true);
            this.mdemodel.getDetailModel().getDBColumnDisplayInfo("begindate").setReadonly(true);
            this.mdemodel.getDetailModel().getDBColumnDisplayInfo("enddate").setReadonly(true);
         } else {
            this.getDBColumnDisplayInfo("begindate").setReadonly(false);
            this.getDBColumnDisplayInfo("enddate").setReadonly(false);
            this.setItemValue(var1, "begindate", NpbusiDBHelper.getSysdate());
            this.setItemValue(var1, "enddate", NpbusiDBHelper.getSysdate());
            this.mdemodel.getDetailModel().getDBColumnDisplayInfo("begindate").setReadonly(false);
            this.mdemodel.getDetailModel().getDBColumnDisplayInfo("enddate").setReadonly(false);
         }
      }

      super.on_itemvaluechange(var1, var2, var3);
   }
}
